<h2>Add new book</h2>

<div ui grid>
    <form class="ui form" [formGroup]="addBookForm" (ngSubmit)="onSubmitForm(addBookForm.value)">
        <div class="form-group" class="required field" [ngClass] ="{error:titleHasErrors()}">
            <label for="title">Title:</label>
            <input type="text" name="title" id="title" class="form-control" formControlName="title">
        </div>

        <div class="ui negative message" *ngIf='titleHasErrors()'>
            <ul>
              <li  *ngFor= "let errorMessage of titleErrors()"> {{errorMessage}} </li>
            </ul>
        
        </div>

        <div class="form-group" class="required field" [ngClass] ="{error:authorsHasErrors()}">
            <label for="authors">Authors:</label>
            <input type="text" name="authors" id="authors" class="form-control" formControlName="authors">
        </div>
        <div class="ui negative message" *ngIf='authorsHasErrors()'>
            <ul>
              <li>Field authors has irregular format.</li>
            </ul>
        
        </div>

        <div class="form-group" class="required field"> 
            <!-- [ngClass] ="{error:dateHasErrors()}"> -->
            <label for="publishedDate">Date of publishment:  (dd/mm/yyyy)</label>          
            <mat-form-field >
                <input matInput [matDatepicker]="picker" placeholder="Choose a date"  class="form-control" formControlName="publishedDate">
                <mat-datepicker-toggle matSuffix [for]="picker">Pick</mat-datepicker-toggle>
                <mat-datepicker #picker></mat-datepicker>
            </mat-form-field>
            <!-- <input type="text" name="name" id="publishedDate" class="form-control" formControlName="publishedDate"> -->
        </div>

        <div class="form-group">
            <label>Genre:</label>
            <select class="ui fluid dropdown" formControlName="genre">
                <option *ngFor="let genre of genres" [value]="genre">{{ genre }}</option>
            </select>
        </div>

        <div class="form-group" class="required field" [ngClass] ="{error:publisherHasErrors()}">
            <label for="publisher">Publisher:</label>
            <input type="text" name="publisher" id="publisher" class="form-control" formControlName="publisher">
        </div>
        <div class="ui negative message" *ngIf='publisherHasErrors()'>
            <ul>
              <li>Field publisher has irregular format.</li>
            </ul>       
        </div>

        <div class="form-group">
            <label for="shortDescription">Short description:</label>
            <textarea name="shortDescription" id="shortDescription" class="form-control" formControlName="shortDescription"></textarea>
        </div>

        <div class="form-group">
            <label for="language">Language:</label>
            <input type="text" name="language" id="language" class="form-control" formControlName="language">
        </div>

        <div class="form-group" class="required field" [ngClass] ="{error:numAvailableHasErrors()}">
            <label for="numAvailable">Number of available books:</label>
            <input type="text" name="numAvailable" id="numAvailable" class="form-control" formControlName="numAvailable">
        </div>
        <div class="ui negative message" *ngIf='numAvailableHasErrors()'>
            <ul>
              <li>Field number of available books has irregular format.</li>
              <li>Use number from 1 to 999.</li>
            </ul>      
        </div>

        <div class="form-group" class="required field" [ngClass]="{error:imageHasErrors()}">
            <label for="image">Book image</label>
            <button type="button" (click)="filepicker.click()">Choose picture</button>

            <input #filepicker type="file" (change) = "pickImage($event)">

            <div class="image-preview" *ngIf = "pickedImage !== '' && pickedImage && addBookForm.get('image')!.valid">
                <img [src]="pickedImage" width="150">
            </div>
    
        </div>
        
        <button class="ui button" type="submit">Add book</button>

    </form>

</div>